/* VARIABLES */
:root{
    --naranja: #ff6421e3;
    --naranjaOscuro: #ff5811c1;
    --amarillo: #ffcc00;
    --amarilloOscuro: #ffcc00dc;
    --verde: #16a34a;
    --verdeOscuro: #16a34ad4;
    --azulProfundo: #000000;
    --azulTransparente: rgba(0, 0, 0, 0.9);
    --gris: #696969d4;
    --grisOscuro: #58585849;
    --blanco: #ffffff;
    --grisClaro: #b8b8b8;
    --fuentePrincipal: 'Roboto', sans-serif;
    --fuenteSecundaria: Arial, Helvetica, sans-serif;
}


/* ESTILOS GLOBALES */
html{
    scroll-behavior: smooth;
}
body{
    background-color: var(--azulProfundo);
    color: var(--blanco);
}
img{
    max-width: 100%;
}
h1,h2,h3,h4{
    margin: 0;
    color: var(--blanco);
    font-family:var(--fuentePrincipal);
}
h2{
    text-align: center;
}
p{
    /* color: var(--blanco); */
    font-family: var(--fuenteSecundaria);
    margin: 0;
    font-size: .9rem;
}
a {
    font-family:var(--fuenteSecundaria);    
    color: white;
    text-decoration: none;
    transition: all ease-in-out 0.3s;
}
a:hover{
    color: var(--naranja);
}
span{
    font-family: var(--fuenteSecundaria);
    color: var(--blanco);
    font-size: 0.8rem;
}
.container{
    width: min(95%, 1200px);
    margin: 0 auto;
}
.section{
    padding: 5rem 0;
}

/* ------ MEDIAS QUERIUES ------ */
@media (min-width: 768px) {
    h2{
        font-size: 2rem;
    }
    p{
        font-size: 1.15rem;
        line-height: 1.7rem;
    }
    span{
        font-size: 1.1rem;
    }
    .section{
        padding: 6rem 0;
    }
}

@media (min-width: 1024px) {
    .section{
        padding: 8rem 0;
    }
}


/* --------------------------------- BOTONES ---------------------------- */

.b-actions{
    width: 100%;
    display: flex;
    justify-content: center;    
    align-items: center;
    gap: 1rem;
}
.button-primary:hover{
    background-color: var(--amarilloOscuro);
}
.button-call{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    background-color: var(--naranja);
    color: var(--blanco);
    border: none;
    border-radius: 8px;
    padding: 0.6rem 1.7rem;
    font-size: .8rem;
    font-family: var(--fuenteSecundaria);
    font-weight: bold;
    cursor: pointer;
    transition: all ease-in-out 0.3s;
}
.button-call:hover{
    background-color: var(--naranjaOscuro);
}

.button-sms{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    background-color: var(--verde);
    color: var(--blanco);
    border: none;
    border-radius: 8px;
    padding: 0.6rem 1.7rem;
    font-size: .8rem;
    font-family: var(--fuenteSecundaria);
    font-weight: bold;
    cursor: pointer;
    transition: all ease-in-out 0.3s;
}
.button-sms:hover{
    background-color: var(--verdeOscuro);
}

.p-button{
    display: flex;
    justify-content: center;
    margin-top: 2rem;
}

@media (min-width: 1024px) {
    .button-call{
        font-size: 1rem;
    }
    .button-sms{
        font-size: 1rem;
    }
}

/* ------------------- ANIMACIONES -------------------- */

.fade-in {
  opacity: 0;
  transform: translateY(100px);
  transition: all 0.6s ease-in-out;
}

.fade-in.show {
  opacity: 1;
  transform: translateY(0);
}

.fade-left {
  opacity: 0;
  transform: translateX(-40px);
  transition: all 1s ease;
}

.fade-left.show {
  opacity: 1;
  transform: translateX(0);
}

.fade-right {
  opacity: 0;
  transform: translateX(40px);
  transition: all 2s ease;
}

.fade-right.show {
  opacity: 1;
  transform: translateX(0);
}

/* EFECTO POPBOUNCE */

.pop {
  opacity: 0;
  transform: scale(0.8);
  will-change: transform, opacity;
}

.pop.show {
  animation: popBounce .5s ease forwards;
}

@keyframes popBounce {
    0% {
        transform: scale(0.5);
        opacity: 0;
    }
    60% {
        transform: scale(1.1);
    }
    80% {
        transform: scale(0.95);
    }
    100% {
        transform: scale(1);
        opacity: 1;
    }
}

.bounce{
    animation: bounce 2s ease infinite;
}

@keyframes bounce{
    0% {
        transform: scale(1);
    }
    50%{
        transform: scale(1.05);
    }
    100% {
        transform: scale(1);
    }
}


/* STAGGER + POP SUAVE */
.card {
  opacity: 0;
  transform: translateY(20px) scale(0.95);
}

.card.show {
  animation: cardReveal 0.5s cubic-bezier(0.22, 1, 0.36, 1) forwards;
}

@keyframes cardReveal {
    0% {
    opacity: 0;
    transform: translateY(20px) scale(0.95);
    }
    60% {
        transform: translateY(0) scale(1.02);
    }
    100% {
        transform: translateY(0) scale(1);
        opacity: 1;
  }
}

/*  */
.carousel {
  overflow: hidden;
  width: 100%;
}

.carousel-track {
  display: flex;
  width: max-content;
  gap: 20px;
  animation: scrollLeft 50s linear infinite;
}

.item img{
    border-radius: 8px;
  width: 100%;
  height: 300px;
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (min-width:768px){
    .item img{
        height: 400px;
    }
}
@media (min-width:768px){
.item img{
    height: 500px;
}
}

.carousel:hover .carousel-track {
  animation-play-state: paused;
}

/* animación */
@keyframes scrollLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}



/* EFECTO MAQUINA DE ESCRIBIR */
.typewriter {
  border-right: 2px solid var(--blanco);
  padding-right: 5px;
  white-space: nowrap;
  overflow: hidden;
  animation: blink 1s infinite;
  font-size: 2.2rem;
}

@media (min-width:768px) {
    .typewriter{
        font-size: 3.5rem;
    }
}

@keyframes blink {
  50% {
    border-color: transparent;
  }
}